const test = require('tape')
const helpers = require('./helpers')

const AST = require('../src/ast')
const OsloError = require('../src/osloError')

test('list function', t => {
  t.plan(1)

  const tree = helpers.evaluate('(list 1 2 3)')
  t.deepEqual(tree[0], new AST.List({
    elements: [
      new AST.Number({ value: 1 }),
      new AST.Number({ value: 2 }),
      new AST.Number({ value: 3 }),
    ]
  }))
})
